XScreenSaver(1)

NAME
mirrorblob - Draws a wobbly blob that distorts the image behind it.

SYNOPSIS
mirrorblob [-display host:display.screen] [-visual visual] [-window] [-root] [-wire] [-delay number] [-fog] [-walls] [-colour] [-texture] [-bgimage] [-offset_texture] [-blend] [-antialias] [-x_res number] [-y_res number] [-field_points number] [-hold_frames number] [-fps]

DESCRIPTION
Draws a wobbling blob, making use of alpha blending, fog, textures, and lighting, plus a ``frames per second'' meter so that you can tell how fast your graphics card is... Requires OpenGL.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window. -wire Render in wireframe instead of solid.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-fog | -no-fog
    Whether to enable fog.

-walls | -no-walls
    Add walls for blob to hit.

-colour | -no-colour
    Draw coloured blob. If also textured, the texture will have color mixed in.

-texture | -no-texture
    Whether to wrap a texture image on the blob.

-bgimage | -no-bgimage
    Whether to also draw the texture on the background.

-offset_texture | -no-offset_texture
    Whether to ofset the texture calculations to only use a region of the image
     under the blob. This works well when blend is enabled.

-blend | -no-blend
    Whether to enable blending. (see also offset_texture above)

-antialias | -no-antialias
    Whether to anti-alias lines.

-x_res number
    Number of verticies around the middle row of the blob (see also y_res).

-y_res number
    Number of rows of verticies used to calculatethe blob, combined with x_res to
     indirectly determine the number of triangles used to draw blob. Larger
     numbers give a smoother blob but increase calculation times exponentially.

-field_points number
    Number of points used to distort the blob.

-hold_frames number
    Number of frames between changing images.

-fade_speed number
    Speed at which fading occurs when changing images.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Jon Dowdall. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jon Dowdall.